## ros-lunar-p2os-urdf 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(p2os_urdf)

find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs std_msgs tf urdf kdl_parser)

catkin_package(
    CATKIN_DEPENDS tf urdf geometry_msgs sensor_msgs std_msgs kdl_parser
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

set(CMAKE_CXX_FLAGS "-std=c++11")

add_executable(p2os_publisher src/publisher.cc)
target_link_libraries(p2os_publisher ${catkin_LIBRARIES})

install(TARGETS p2os_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

add_executable(p2os_publisher_3at src/publisher3at.cc)
add_executable(p2os_publisher_3dx src/publisher3dx.cc)
target_link_libraries(p2os_publisher_3at ${catkin_LIBRARIES})
target_link_libraries(p2os_publisher_3dx ${catkin_LIBRARIES})

install(TARGETS p2os_publisher_3at p2os_publisher_3dx
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY 
   launch defs meshes models
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-lunar-p2os-urdf (2.1.0-0xenial) xenial; urgency=high

  * Small xacro fix.
  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen, Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 01 Aug 2017 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.7-0xenial) xenial; urgency=high

  * Changed to c++11 abi
  * Updated changelog.
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 30 May 2017 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.6-0xenial) xenial; urgency=high

  * Change mass to more reasonable value.
  * Clean up indentation.
  * Clean up obsolete xml-schema namespaces.
  * Remove obsolete files.
  * Fix swivel joint.
  * Add plugin for publishing ground truth odometry (position and velocity).
  * Add and configure differential drive plugin.
    Seems to behave reasonably.
    There is an issue with the swivel which seems to break off randomly.
  * Clean up and simplify collisions.
  * Remove deprecated elem tag.
    Promote its attributes mu1, mu2, kp, kd to tags.
  * Fix xacro deprecation warnings.
  * Fix xacro deprecated warnings.
  * Remove visual names in wheel descriptions...
    ...due to SDF bug https://bitbucket.org/osrf/sdformat/issues/132/parser-does-not-handle-urdf-material
  * Use wheel descriptions from pioneer3dx_wheel.xacro.
    Remove invalid collision element from wheel definition.
    Comment out transmission element for now.
  * Remove visual names.
    Visual names prevented Gazebo from rendering material colors, as per this issue: https://bitbucket.org/osrf/sdformat/issues/132/parser-does-not-handle-urdf-material
  * Fix crash on model spawn in Gazebo.
    Remove zero-sized collision elements, as per this thread: http://answers.gazebosim.org/question/15816/gazebo-crashes-when-spawning-robot-from-urdf/
  * Contributors: Damjan Miklic

 -- Hunter Allen <allen286@purdue.edu>  Mon, 22 May 2017 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.5-0xenial) xenial; urgency=high

  * Added missing dep.
  * Contributors: Hunter L. Allen

 -- Hunter Allen <allen286@purdue.edu>  Thu, 26 May 2016 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.4-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Thu, 26 May 2016 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.3-0xenial) xenial; urgency=high

  * Updated p2os_urdf's build dependencies. Fixes #39 <https://github.com/allenh1/p2os/issues/39>
  * Updated the pioneer3at URDF xacro file. Fixes #38 <https://github.com/allenh1/p2os/issues/38>
  * Cleaned up the publisher file.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Sun, 25 Oct 2015 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.2-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 04 Aug 2015 07:00:00 -0000

ros-lunar-p2os-urdf (2.0.1-0xenial) xenial; urgency=high

  * Forgot a line.
  * Working on Pioneer-3dx Gazebo.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Sat, 11 Jul 2015 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.13-0xenial) xenial; urgency=high

  * Pioneer-3dx circus bug is now fixed. Now to get it to move... We'll see.
  * Updated the publisher to include pioneer-3dx frames.
  * this fixes issue #30 <https://github.com/allenh1/p2os/issues/30>
  * removed gedit stuff
  * fixed urdf pros publisher
  * Removed unnecessary lib install.
    The line broke things and did nothing, so... Ya. It's gone now.
  * Fixed launch
  * Contributors: Guy Burroughes, Hunter Allen, Isura Ranatunga

 -- Hunter Allen <allen286@purdue.edu>  Sat, 02 May 2015 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.12-0xenial) xenial; urgency=high

  * Updated to match indigo-devel
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.11-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.10-0xenial) xenial; urgency=high

  * Added meshes directory to CMake install dir.
  * Removed unneccessary files
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Wed, 28 May 2014 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.9-0xenial) xenial; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs

 -- Hunter Allen <allen286@purdue.edu>  Sun, 18 Aug 2013 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.7-0xenial) xenial; urgency=high

  * Updated to match hmt-git.com repository

 -- Hunter Allen <allen286@purdue.edu>  Sun, 18 Aug 2013 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.5-0xenial) xenial; urgency=high

  * Cleaned up for release
  * Updated to match hmt-git.com
  * Updated to hmt-git.com repo

 -- Hunter Allen <allen286@purdue.edu>  Tue, 23 Jul 2013 07:00:00 -0000

ros-lunar-p2os-urdf (1.0.1-0xenial) xenial; urgency=high

  * Updating to match hmt-git.com repo
  * Updated the Pioneer-3dx to work with Gazebo in Hydro
  * Changes to wheel collision geometry and Gazebo settings.
  * Changes to wheel collision geometry (robot was unable to rotate).
  * Added launch file
  * Updated the Pioneer-3AT xacro to have colour in Gazebo, and added a launch file.
  * URDF of 3AT divided into 2 files.
  * Gazebo related changes.
  * Small fix in xacro file.
  * Renamed URDF executable
  * Renamed URDF executable
  * Renamed URDF executable
  * Removed a line


=== debian/control ===
Source: ros-lunar-p2os-urdf
Section: misc
Priority: extra
Maintainer: Hunter L. Allen <hunter@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-kdl-parser, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-urdf
Homepage: http://ros.org/wiki/p2os-purdue
Standards-Version: 3.9.2

Package: ros-lunar-p2os-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-kdl-parser, ros-lunar-p2os-driver, ros-lunar-p2os-msgs, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-urdf
Description: URDF file descriptions for P2OS/ARCOS robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-p2os-urdf//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
